Bug 394231 - gegl compilation problem
gegl compilation problem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gegl (Show other bugs)
8
alpha Linux
low Severity low
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 09:55 EST by Oliver Falk
Modified: 2007-12-28 12:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 00:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-11-21 09:55:38 EST
I tried to rebuild gegl on alpha and encountered the following problem:
gegl-node.c: In function 'set_property':
gegl-node.c:243: error: expected expression before 'va_list'
gegl-node.c:245: error: 'var_args' undeclared (first use in this function)
gegl-node.c:245: error: (Each undeclared identifier is reported only once
gegl-node.c:245: error: for each function it appears in.)

I patched it this way and now it works:
--- gegl/graph/gegl-node.c      2007-10-12 13:56:08.000000000 +0200
+++ gegl/graph/gegl-node.c.orig 2007-11-21 15:21:22.000000000 +0100
@@ -232,6 +232,7 @@
               const GValue *value,
               GParamSpec   *pspec)
 {
+  va_list var_args;
   GeglNode *node = GEGL_NODE (gobject);
   switch (property_id)
     {
@@ -241,7 +242,7 @@

       case PROP_OP_CLASS:
         gegl_node_set_op_class (node, g_value_get_string (value),
-                                NULL, NULL);
+                                NULL, var_args);
         break;

       case PROP_OPERATION:




However. I wonder why this doesn't occur on x86/ppc, ... Any idea?
Comment 1 Oliver Falk 2007-11-21 09:56:58 EST
Sorry. Wrong error message. This is the correct one:
gegl-node.c: In function 'set_property':
gegl-node.c:244: error: incompatible type for argument 4 of 'gegl_node_set_op_class'
Comment 2 Deji Akingunola 2007-12-19 00:57:07 EST
I've applied your patch, Thanks.
Comment 3 Fedora Update System 2007-12-21 16:08:09 EST
gegl-0.0.14-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gegl'
Comment 4 Fedora Update System 2007-12-28 12:17:17 EST
gegl-0.0.14-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.